Subject: SIP/Goland: Via

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 28 Apr 1998 08:51:12 -0400

[Rather than having mega-messages with three levels of >>>, I'll try to
respond to a few items as individual messages.]

Note that the Via header in SIP has to have a slightly different
functionality than in HTTP: On the request path, it records the proxies
the request passes through (like HTTP). This information is then used by
proxies to route the response along the same path, without having to
keep state in the network. Thus, the response has to remove headers to
know where next to send the packet. If it kept the whole list, it would
have to somehow figure out where it is and then pick the next one. This
is not that difficult, but still would not make it HTTP compliant.

[The original motivation for removing Vias of hiding paths seems to be
inoperative now with the introduction of the Hide mechanism.]

In HTTP/1.1, a Via header is simply used to record request or response
path. The headers are not used to forward messages, as far as I can
tell.